Bug 1000823 - Update tig package to include the bash completion file
Update tig package to include the bash completion file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tig (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: jbowes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-25 13:44 EDT by Jonas Fonseca
Modified: 2013-09-12 21:08 EDT (History)
4 users (show)

See Also:
Fixed In Version: tig-1.2.1-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-12 21:07:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonas Fonseca 2013-08-25 13:44:24 EDT
Description of problem:

Tig has a bash completion file (contrib/tig-completion.bash), but the file is not distributed and install by the tig package.

Steps to Reproduce:
-------------------

1. Install tig.
2. Clone a git repository.
3. Open a terminal with Bash as the shell.
4. Type: "tig " and press the Tab key.

Actual results:
Nothing is completed.

Expected results:
Completion of Tig subcommands and the Git branches and tags in the repository.

Additional info:
----------------

Looking at the .spec file of git it should be a matter of adding

# Remove shebang from bash-completion script
sed -i '/^#!bash/,+1 d' contrib/completion/tig-completion.bash

# Setup bash completion
mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d
install -pm 644 contrib/completion/tig-completion.bash %{buildroot}%{_sysconfdir}/bash_completion.d/git
Comment 1 Fedora Update System 2013-08-26 14:56:40 EDT
tig-1.2.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/tig-1.2.1-1.fc18
Comment 2 Fedora Update System 2013-08-26 14:56:58 EDT
tig-1.2.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/tig-1.2.1-1.fc19
Comment 3 Fedora Update System 2013-08-27 19:23:06 EDT
Package tig-1.2.1-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tig-1.2.1-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15350/tig-1.2.1-1.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-09-12 21:07:14 EDT
tig-1.2.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-09-12 21:08:50 EDT
tig-1.2.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.